#include "ssh_subsystem.h"


int main(int argc, char** argv)
{

	if (argc<4) {
		cout << "Usage: " << argv[0] << " <hostname> <username> <password>" << endl;
		return 1;
	}
	
	SshSubsystem ssh(argv[1], argv[2],argv[3]);
	ssh.getFile("/etc/rc.conf", "rc.conf");
	ssh.getFile("/bin/grep", "grep");
	ssh.getFile("/etc/hosts", "hosts");
	ssh.getFile("/etc/samba/smb.conf", "smb.conf");
	ssh.getFile("/bin/cp", "cp");

	return 0;
}
