#include <libssh/libssh.h>
#include <iostream>
#include <fstream>
#include <stdlib.h>

using std::cout;
using std::endl;
using std::ofstream;
using std::ios;

class SshSubsystem
{
	char *username, *password;
	int port, rc;
	char *buffer;
	ssh_session session;
	ssh_scp scp;
public:
	SshSubsystem() {};
	~SshSubsystem() { ssh_disconnect(session); ssh_free(session);};
	SshSubsystem(char *hostname, char *username, char *password);
	int getFile(char *remotefile, char *localfile);
	int sendFile(char *localfile, char *remotefile);
};